# login-site

## Project setup

```shell
npm install
```

### Set environment variables

```ìni
NODE_ENV=development

DOMAIN=http://127.0.0.0:80
VITE_DOMAIN=${DOMAIN}

BASE_PATH=/
VITE_BASE_PATH=${BASE_PATH}

VITE_NEXT_DEFAULT=${BASE_PATH}

VITE_LOCALE=fr-FR
VITE_I18N_LOCALE=fr
VITE_I18N_DEFAULT_LOCALE=fr
VITE_I18N_FALLBACK_LOCALE=fr
VITE_I18N_SUPPORTED_LOCALE=fr,en

# App title
VITE_TITLE=Onegeo-Suite

# Favicon
VITE_FAVICON_URL=${VITE_DOMAIN}/assets/favicon.png

#Logo
VITE_LOGO=@/assets/logo.png

# API
VITE_LOGIN_API_PATH=/login
VITE_ORGANISATION_API_PATH=/organisation/
VITE_USERGROUP_API_PATH=/usergroup/

# AUTH
VITE_LOGIN_API_USERNAME=admin
VITE_LOGIN_API_PASSWORD=CHANGE_ME

# External auth
VITE_EXTERNAL_LOGIN=true
VITE_EXTERNAL_LOGIN_URL=http://127.0.0.1/oidc/authenticate
VITE_EXTERNAL_LOGOUT_URL=http://127.0.0.1/oidc/logout/?redirect_uri=/fr/login/signout
VITE_EXTERNAL_LOGOUT_METHOD=get
VITE_EXTERNAL_LOGIN_LABEL=Connect with...
```

### Compiles and hot-reloads for development

```shell
npm run serve
```

### Compiles and minifies for production

```shell
npm run build
```

### Run your unit tests

```shell
npm run test:unit
```

### Run your end-to-end tests

```shell
npm run test:e2e
```

### Lints and fixes files

```shell
npm run lint
```

### Customize configuration

See [Configuration Reference](https://cli.vuejs.org/config/).
