import { createI18n } from 'vue-i18n'

import en from '@/assets/locales/en.json';
import fr from '@/assets/locales/fr.json';

const datetimeFormats = {
  'en': {
    short: {
      year: 'numeric',
      month: 'short',
      day: 'numeric'
    }
  },
  'fr': {
    short: {
      year: 'numeric',
      month: 'numeric',
      day: 'numeric'
    }
  }
};

const numberFormats = {
  'fr': {
    currency: {
      style: 'currency', currency: 'EUR'
    }
  }
};

const i18n = createI18n({
  locale: import.meta.env.VITE_I18N_DEFAULT_LOCALE || 'fr',
  fallbackLocale: import.meta.env.VITE_I18N_FALLBACK_LOCALE || 'fr',
  messages: { en, fr },
  datetimeFormats,
  numberFormats
});

export default i18n;
