import { createApp, configureCompat } from 'vue';
import { createStore } from './store';
import router from './router';

// import { BootstrapVue, BootstrapVueIcons } from 'bootstrap-vue';
// import 'bootstrap-vue/dist/bootstrap-vue-icons.min.css';
import Multiselect from 'vue-multiselect';

// Custom css
import '@/app.scss';
import '@/app.less';

// Vue.use(BootstrapVue);
// Vue.use(BootstrapVueIcons);

import App from '@/App.vue';
import i18n from '@/i18n';
import config from '../config.js';

configureCompat({
  MODE: 3
});

const store = createStore();

const app = createApp({
  ...App
});

app.mixin({
  methods: {
    isFieldVisible(field, hiddenFields) {
      return !hiddenFields.includes(field);
    },
    isFieldRequired(field, requiredFields) {
      return requiredFields.includes(field) ? 'required' : '';
    }
  }
});

app.use(i18n);
app.config.globalProperties.$config = config;
app.component('Multiselect', Multiselect);
app.use(store);
app.use(router);

app.mount('#app');
